Package Details: mesa-git 19.3.0_devel.116318.16233797f49-1

Git Clone URL: https://aur.archlinux.org/mesa-git.git (read-only)
Package Base: mesa-git
Description: an open-source implementation of the OpenGL specification, git version
Upstream URL: https://www.mesa3d.org
Keywords: mesa X11
Licenses: custom
Conflicts: libva-mesa-driver, mesa, mesa-vdpau, opencl-mesa, vulkan-intel, vulkan-mesa-layer, vulkan-radeon
Provides: libva-mesa-driver=19.3.0_devel.116318.16233797f49-1, mesa=19.3.0_devel.116318.16233797f49-1, mesa-vdpau=19.3.0_devel.116318.16233797f49-1, opencl-, opencl-driver, opengl-driver, vulkan-driver, vulkan-intel=19.3.0_devel.116318.16233797f49-1, vulkan-mesa-layer=19.3.0_devel.116318.16233797f49-1, vulkan-radeon=19.3.0_devel.116318.16233797f49-1
Submitter: Krejzi
Maintainer: Lone_Wolf
Last Packager: Lone_Wolf
Votes: 158
Popularity: 1.037432
First Submitted: 2014-06-19 21:33
Last Updated: 2019-10-16 11:55

Required by (911)

Sources (2)

Pinned Comments

Lone_Wolf commented on 2019-07-09 13:43

  • llvm

Why would I want to use llvm development versions ?

For full functionality and latest features mesa trunk master needs to be build against llvm trunk master.
If you build against stable llvm things MAY work, but you're likely to lack some features and face stability issues.

Mesa-git uses a custom environment variable MESA_WHICH_LLVM for flexibility.
It has 4 values.
1 : aur llvm-minimal-git
2 : aur llvm-git
3: llvm-git from LordHeavy' unofficial repo
4: llvm from extra repo

I use value 1 95% of the time and set this in ~/.bash_rc .
If MESA_WHICH_LLVM is unset or empty, the default value of 4 (extra llvm) is used.

Lone_Wolf commented on 2019-06-04 15:15

AUR Helpers are NOT supported

I built and test with makepkg. Building with Devtools and Clean Chroot Manager should work fine also (I test them occasionally).

This package and lib32-mesa-git use a custom method to dynamically determine which llvm version is to be used. Several AUR helpers (atleast pamac and yay) have problems with that method.

Incase you try to build mesa-git with one of those AUR helpers

& ARE NOT USING THE DEFAULT SETTING OF MESA_WHICH_LLVM ,

run makepkg --printsrcinfo > .SRCINFO after downloading and BEFORE building.

That should help pamac and yay to handle my custom method.

Lone_Wolf commented on 2018-01-30 14:06

  • issues
Simple issues can be dealth with through aur comments, but sometimes discussion is needed.
Use https://bbs.archlinux.org/viewtopic.php?id=212819 for that.
  • main difference with stable repo package
[extra]mesa is a split package, but aur mesa-git isn't.
Basically with aur mesa-git you get everything in one package, while [extra]/mesa allows you to leave out some parts if you don't want/need them.
Having a single package reduces maintenance and makes switching from stable to mesa-git rather easy, though reverting back to stable can be tricky.
  • meson settings
Those who compare PKGBUILDs will notice I don't use arch-meson, but meson setup.
I disagree with some of the settings made by arch-meson (especially the buildtype and enabling LTO by default) and feel using meson setup is cleaner.
  • how to update

run pacman Syu update non-repo packages for llvm if you use them

build mesa-git, log out , restart X .

run glxinfo to verify basic OpenGL functionality

build lib32-mesa-git

run glxinfo32 to verify basic OpenGL functionality for multilib programs

td123 commented on 2010-12-16 16:42

Another comment, could you possibly consider enabling gallium for intel?

td123 commented on 2010-12-14 02:47

Also, could you consider making a seperate package for gl-manpages? maybe make it an optdepend.

td123 commented on 2010-12-14 02:41

configure: error: makedepend is required to build Mesa
Aborting...

please include imake in the makedepends

Anonymous comment on 2010-11-23 17:36

http://aur.pastebin.com/61w7FQaa

Mesa needs glproto >= 2.4 which is only provided by glproto-git. Updated PKGBUILD is above.

Det commented on 2010-11-20 18:22

Just some rant: 1) all the "Maintainer" lines, except the current one (yours), should be "Contributor" lines, 2) you should version the makedependencies as with [testing]'s mesa ('gcc-libs' and 'pkgconfig' are not required since they are in 'base' and 'base-devel' respectively - there's also 'gcc-libs' in "package_mesa-git()"'s dependencies), 3) there's still a few "${srcdir}"s in your PKGBUILD that haven't been defined with quotes ("), 4) it would be a little easier to define all the provides=('*=7.9') Mesa stuff with a single variable, e.g. "_mesaver=7.9" to change them all in one go, 5) nothing, that's it.

tavianator commented on 2010-10-27 19:59

This is just a rehash of the mesa-git package; I recommend everyone just build mesa-git itself as a split package.

flocke commented on 2010-10-25 06:44

Since arch moved to python3 by default (/usr/bin/python == python3) you need to patch the mesa sources to use /usr/bin/python2 for the build.
You can find the patch here: http://files.shadowice.org/flocke/linux/archlinux/patches/mesa/python2.7.patch

tavianator commented on 2010-10-18 01:13

I've uploaded a rewritten version of the PKGBUILD, based on the old one and on the official Arch package. Uncomment the pkgname=() array to build it as a split package.

td123 commented on 2010-10-08 19:51

if anyone wants to maintain this package along with the other -git packages required for this package please email me, since I have switched to the packages in the repos

td123 commented on 2010-10-07 06:13

Ok, I will add the fix to this package, as soon as python2 gets moved to extra